Subject: 34010 X compiler, mailing lists

From: Erik Troan <[email-masked]>
Date: Mon, 28 Jun 1993 11:35:05 -0400 (EDT)

On xxx, 27 Jun 1993, Pat Mackinlay wrote:

[lots of good stuff about 34010's deleted becuase we've all read it already

> BTW: I wouldn't expect that using a 34010 would make the graphics
> system outperform any of the VGAs out there, but it'd be quite
> interesting, and would leave the main CPU free to do some "real"
> work. It might even be practical to run PEX stuff <grin>

If we do decide on the 34010 path, I agree with Pat that a gcc port would
be a huge problem. I'm willing to write a small C compiler for the chip
from scratch. I'm not offering to port gcc, as I think that such an effort
is unnecessary. If the chip is going to be driving graphics, code doesn't
have to be written often, so I think we can live with putting the 
optimizations in the code instead of the compiler.

By small I mean I'm not going to write a floating point library (though
I'd be happy to integrate with one written by someone else), generate
anything but straight object code for the 34010 (we don't need dll's,
etc for a graphics processor), or even acknowledge C++'s existence any
further then allowing // for comments. Let me know if this is worth
my time.

> [...if there is no archive site, would someone be willing to mail me
> the last day or two of messages? I don't like having to repeat questions
> that people have already answered...]

If there is an archive site, would someone please let me know. If not, I'd
like to set one up on sunsite.unc.edu. /pub/Riscy maybe? Seems like we
should start thinking about an ftp site anyhow.

Erik

From [email-masked]  Ukn Jun 29 04:13:57 1993
To: [email-masked],
        [email-masked]
From: peter katzmann <[email-masked]>
Date: 29 Jun 93 08:59:50 CET
Subject: Re: 34010 X compiler, mailing lists
Priority: normal
Status: RO

>
> On xxx, 27 Jun 1993, Pat Mackinlay wrote:
>
> [lots of good stuff about 34010's deleted becuase we've all read it already
>
> > BTW: I wouldn't expect that using a 34010 would make the graphics
> > system outperform any of the VGAs out there, but it'd be quite
> > interesting, and would leave the main CPU free to do some "real"
> > work. It might even be practical to run PEX stuff <grin>
It will be faster then the normal VGA solution's. We wrote a CAD
package for an PC with TIGA or VGA and the TIGA outperformes the VGA
of about 70% and it wasn't the bist design.
>
> If we do decide on the 34010 path, I agree with Pat that a gcc port would
> be a huge problem. I'm willing to write a small C compiler for the chip
> from scratch. I'm not offering to port gcc, as I think that such an effort
> is unnecessary. If the chip is going to be driving graphics, code doesn't
> have to be written often, so I think we can live with putting the
> optimizations in the code instead of the compiler.
>
You don't have to wrote the Compiler from the scratch. There's ans
old C projekt from Dr Dobb's when i'm think right. I have the source
code here for K&R or Turbo C. Several company's rewrote the generator
part for their different single Chip CPU's.

> By small I mean I'm not going to write a floating point library (though
> I'd be happy to integrate with one written by someone else), generate
> anything but straight object code for the 34010 (we don't need dll's,
> etc for a graphics processor), or even acknowledge C++'s existence any
> further then allowing // for comments. Let me know if this is worth
> my time.
If it's necessary i could do it, but not one that's IEEE conform.

----

EDAG-Fulda | P. Katzmann | E-Planung | Steinauer Str.| 6400 Fulda
tel. 0661/6000-454/464 | W. Germany | in: [email-masked]

From [email-masked]  Ukn Jun 29 04:19:50 1993
To: [email-masked],
        [email-masked]
From: peter katzmann <[email-masked]>
Date: 29 Jun 93 08:59:50 CET
Subject: Re: 34010 X compiler, mailing lists
Priority: normal
Status: RO

>
> On xxx, 27 Jun 1993, Pat Mackinlay wrote:
>
> [lots of good stuff about 34010's deleted becuase we've all read it already
>
> > BTW: I wouldn't expect that using a 34010 would make the graphics
> > system outperform any of the VGAs out there, but it'd be quite
> > interesting, and would leave the main CPU free to do some "real"
> > work. It might even be practical to run PEX stuff <grin>
It will be faster then the normal VGA solution's. We wrote a CAD
package for an PC with TIGA or VGA and the TIGA outperformes the VGA
of about 70% and it wasn't the bist design.
>
> If we do decide on the 34010 path, I agree with Pat that a gcc port would
> be a huge problem. I'm willing to write a small C compiler for the chip
> from scratch. I'm not offering to port gcc, as I think that such an effort
> is unnecessary. If the chip is going to be driving graphics, code doesn't
> have to be written often, so I think we can live with putting the
> optimizations in the code instead of the compiler.
>
You don't have to wrote the Compiler from the scratch. There's ans
old C projekt from Dr Dobb's when i'm think right. I have the source
code here for K&R or Turbo C. Several company's rewrote the generator
part for their different single Chip CPU's.

> By small I mean I'm not going to write a floating point library (though
> I'd be happy to integrate with one written by someone else), generate
> anything but straight object code for the 34010 (we don't need dll's,
> etc for a graphics processor), or even acknowledge C++'s existence any
> further then allowing // for comments. Let me know if this is worth
> my time.
If it's necessary i could do it, but not one that's IEEE conform.

----

EDAG-Fulda | P. Katzmann | E-Planung | Steinauer Str.| 6400 Fulda
tel. 0661/6000-454/464 | W. Germany | in: [email-masked]

From [email-masked]  Ukn Jun 29 00:33:04 1993
From: [email-masked] (Jeremy Fitzhardinge)
Subject: Re: 34010 X compiler, mailing lists
To: [email-masked] (Erik Troan)
Date: Tue, 29 Jun 1993 14:09:58 +1000 (EST)
Organization: Softway Pty Ltd
Content-Length: 1570      
Status: RO

Erik Troan bubbles:

> On xxx, 27 Jun 1993, Pat Mackinlay wrote:

> [lots of good stuff about 34010's deleted becuase we've all read it already

> > BTW: I wouldn't expect that using a 34010 would make the graphics
> > system outperform any of the VGAs out there, but it'd be quite
> > interesting, and would leave the main CPU free to do some "real"
> > work. It might even be practical to run PEX stuff <grin>

> If we do decide on the 34010 path, I agree with Pat that a gcc port would
> be a huge problem. I'm willing to write a small C compiler for the chip
> from scratch. I'm not offering to port gcc, as I think that such an effort
> is unnecessary. If the chip is going to be driving graphics, code doesn't
> have to be written often, so I think we can live with putting the 
> optimizations in the code instead of the compiler.

> By small I mean I'm not going to write a floating point library (though
> I'd be happy to integrate with one written by someone else), generate
> anything but straight object code for the 34010 (we don't need dll's,
> etc for a graphics processor), or even acknowledge C++'s existence any
> further then allowing // for comments. Let me know if this is worth
> my time.

There are at least 2 cheap or free 34k C compilers I know of.  One was
written by a friend of mind.  If people get really keen about a 34010
(curse the day), I'll ask him for terms.  It is adapted from a 68k
compiler, and it has a number of simple machine independant optimisations.
It generates assembly output.  I can also get an assembler and linker.

	J